import { jsx } from "react/jsx-runtime";
import { TokenBCMC as TokenBCMC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBCMC = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "BCMC", "data-name": "TokenBCMC", ...props, children: /* @__PURE__ */ jsx(TokenBCMC$1, { variant }) });
  }
);
TokenBCMC.displayName = "TokenBCMC";
Object.assign(TokenBCMC, { isGdsIcon: true });
export {
  TokenBCMC
};
